Package: org.codehaus.groovy.classgen

## [Java] Class ExtendedVerifier

- org.codehaus.groovy.classgen.ExtendedVerifier

- All Implemented Interfaces and Traits:
    GroovyClassVisitor

      public class ExtendedVerifier
      extends ClassCodeVisitorSupport

  A specialized Groovy AST visitor meant to perform additional verifications upon the current AST. Currently it does checks on annotated nodes and annotations itself.

  Current limitations: - annotations on local variables are not supported

  Authors:
    Alex Popescu

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `JVM_ERROR_MESSAGE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExtendedVerifier (SourceUnit sourceUnit)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `addError(String msg, ASTNode expr)`
    `protected SourceUnit` | `getSourceUnit()`
    `protected boolean` | `isAnnotationCompatible()` Check if the current runtime allows Annotation usage.
    `protected void` | `visitAnnotations(AnnotatedNode node, int target)`
    `void` | `visitClass(ClassNode node)`
    `void` | `visitConstructor(ConstructorNode node)`
    `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `void` | `visitField(FieldNode node)`
    `void` | `visitGenericType(GenericsType genericsType)`
    `void` | `visitMethod(MethodNode node)`
    `void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitMethod, visitField, visitProperty, visitReturnStatement, visitConstructor, visitExpressionStatement, visitBlockStatement, visitDeclarationExpression, visitAssertStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitContinueStatement, visitIfElse, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitImports, visitAnnotations, visitClass, visitPackage, visitForLoop, visitSwitch, visitWhileLoop, visitDoWhileLoop, visitConstantExpression, visitClassExpression, visitPropertyExpression, visitListExpression, visitVariableExpression, visitTupleExpression, visitArgumentlistExpression, visitMethodCallExpression, visitClosureExpression, visitBitwiseNegationExpression, visitCastExpression, visitAttributeExpression, visitFieldExpression, visitGStringExpression, visitClosureListExpression, visitBytecodeExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitBinaryExpression, visitTernaryExpression, visitShortTernaryExpression, visitPostfixExpression, visitPrefixExpression, visitBooleanExpression, visitNotExpression, visitArrayExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitSpreadExpression, visitSpreadMapExpression, visitMethodPointerExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitReturnStatement, visitConstantExpression, visitClassExpression, visitPropertyExpression, visitListExpression, visitVariableExpression, visitTupleExpression, visitArgumentlistExpression, visitMethodCallExpression, visitClosureExpression, visitExpressionStatement, visitBlockStatement, visitDeclarationExpression, visitAssertStatement, visitBreakStatement, visitCaseStatement, visitBitwiseNegationExpression, visitCastExpression, visitAttributeExpression, visitFieldExpression, visitGStringExpression, visitClosureListExpression, visitBytecodeExpression, visitCatchStatement, visitContinueStatement, visitIfElse, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitStaticMethodCallExpression, visitConstructorCallExpression, visitBinaryExpression, visitTernaryExpression, visitShortTernaryExpression, visitPostfixExpression, visitPrefixExpression, visitBooleanExpression, visitNotExpression, visitArrayExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitSpreadExpression, visitSpreadMapExpression, visitMethodPointerExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitForLoop, visitSwitch, visitWhileLoop, visitDoWhileLoop, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String JVM_ERROR_MESSAGE

  - ### Constructor Detail

    - #### public ExtendedVerifier(SourceUnit sourceUnit)

  - ### Method Detail

    - #### protected void addError(String msg, ASTNode expr)

    - #### @Override protected SourceUnit getSourceUnit()

    - #### protected boolean isAnnotationCompatible()

      Check if the current runtime allows Annotation usage.

      Returns:
        true if running on a 1.5+ runtime

    - #### protected void visitAnnotations(AnnotatedNode node, int target)

    - #### public void visitClass(ClassNode node)

    - #### public void visitConstructor(ConstructorNode node)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitField(FieldNode node)

    - #### public void visitGenericType(GenericsType genericsType)

    - #### public void visitMethod(MethodNode node)

    - #### public void visitProperty(PropertyNode node)